### Method

# GLib RecMutex clear

since: 2.32

#### Declaration [src]

    void
    g_rec_mutex_clear (
      GRecMutex* rec_mutex
    )

#### Description [src]

Frees the resources allocated to a recursive mutex with g_rec_mutex_init().

This function should not be used with a `GRecMutex` that has been statically allocated.

Calling `g_rec_mutex_clear()` on a locked recursive mutex leads to undefined behaviour.

Available since: 2.32